<?xml version='1.0' encoding='UTF-8'?>
<tables>
	<!-- whois servers table -->
	<table>
		<name>whoisservers</name>
		<column>
			<name>server</name>
			<type>string</type>
			<options>
				<length>255</length>
			</options>
		</column>
		<column>
			<name>query</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>port</name>
			<type>integer</type>
			<options>
				<notnull>false</notnull>
				<default>43</default>
			</options>
		</column>
		<column>
			<name>searchtoken</name>
			<type>string</type>
			<options>
				<length>128</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>bannedtext</name>
			<type>string</type>
			<options>
				<length>128</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>cleantoken_1</name>
			<type>string</type>
			<options>
				<length>128</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>cleantoken_2</name>
			<type>string</type>
			<options>
				<length>128</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>proxy</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>dateformat</name>
			<type>string</type>
			<options>
				<length>8</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>xlate</name>
			<type>text</type>
			<options>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>maxconnections</name>
			<type>integer</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>conninterval</name>
			<type>integer</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		
		<keys>
			<primary>server</primary>
		</keys>
		<init>
		SQL:<![CDATA[
		server,query,port,searchtoken,dateformat,maxconnections,conninterval,cleantoken_1,cleantoken_2,xlate,bannedtext||
		"whois.website.ws",NULL,43,NULL,NULL,NULL,180,NULL,NULL,NULL,"You exceeded the maximum allowable number of whois lookups"||
		"whois.web.com",NULL,43,NULL,NULL,NULL,60,NULL,NULL,NULL,"IP Address Has Reached Rate Limit"||
		"whois.register.com",NULL,43,NULL,NULL,NULL,60,NULL,NULL,NULL,"IP Address Has Reached Rate Limit"||
		"whois.networksolutions.com",NULL,43,NULL,NULL,NULL,60,NULL,NULL,NULL,"IP Address Has Reached Rate Limit"||
		"whois.ja.net",NULL, 43,"",NULL,NULL,NULL,NULL,NULL,"Registered For{nl}=>organization\r\nDomain Owner{nl}=>owner\r\nRegistered By{nl}=>registrar\r\nServers{ml}=>name server\r\nRenewal date{nl}=>registrar_expiry\r\nEntry updated{nl}=>last_update\r\nEntry created{nl}=>created_on\r\nRegistrant Address{ml}=>address\r\n",NULL||
		"whois.crsnic.net","domain",43,"",NULL,NULL,0,NULL,NULL,NULL,NULL||
		"whois.sidn.nl","",43,"",NULL,NULL,4,NULL,NULL,NULL,"maximum number of requests per second exceeded"||
		"whois.nic.de","-T dn",43,"","mmdd",NULL,NULL,NULL,NULL,"[Zone-C]@@Changed=>last_update\r\nNserver=>name server\r\n[Zone-C]@@Address:=>address\r\n[Zone-C]@@Name:=>owner\r\n[Zone-C]@@Organisation:=>organization\r\n[Zone-C]@@PostalCode:=>address\r\n[Zone-C]@@City:=>address\r\n[Zone-C]@@CountryCode:=>owner_country\r\n[Zone-C]@@Email:=>admin_email\r\n",NULL||
		"whois.jprs.jp","{D} /e",43,"",NULL,NULL,NULL,NULL,NULL,"[Registrant]=>owner\r\n[Name Server]=>name server\r\n[Created on]=>created_on\r\n[Expires on]=>expiry_date\r\n[Status]=>status\r\n[Last Updated]=>last_update\r\n[Email]=>admin_email\r\n[Postal Address]=>address\r\n[Phone]=>admin_phone\r\n[Fax]=>admin_fax\r\n",NULL||
		"whois.ripn.net",NULL,43,"",NULL,NULL,NULL,NULL,NULL,"created=>created_on\r\nLast updated on=>last_update\r\npaid-till=>registry_expiry\r\nstate=>status\r\nnserver=>name server\r\n",NULL||
		"whois.nic.uk",NULL,43,"",NULL,NULL,NULL,NULL,NULL,"Registrant's address{ml}=>address\r\nRegistrant:{nl}=>owner\r\nRegistrar:{nl}=>registrar\r\nRegistration status:{nl}=>status\r\nRegistered on=>created_on\r\nLast updated=>last_update\r\nRenewal date=>expiry_date\r\nExpiry date=>expiry_date\r\nName servers:{ml}=>name server\r\n\r\n",NULL||
		"whois.tcinet.ru",NULL,43,"",NULL,NULL,NULL,NULL,NULL,"[*]=>*\r\nstate:=>status\r\nregistrar:=>registrar",NULL||
		"whois.dns.pl",NULL,43,"",NULL,NULL,NULL,NULL,NULL,"[*]=>*\r\nrenewal date:=>registry_expiry\r\nlast modified:=>last_update\r\nnameservers:{ml}=>name server\r\ncreated:=>created_on\r\nREGISTRAR:{nl}=>registrar",NULL||
		"whois.nic.xxx",NULL,43,"NOT FOUND",NULL,NULL,NULL,NULL,NULL,NULL,NULL||
		"whois.nic.fm",NULL,43,NULL,NULL,1,60,NULL,NULL,NULL,NULL||
		"whois.ausregistry.net.au",NULL, 43,"",NULL,NULL,183,NULL,NULL,NULL,"BLACKLISTED: You have exceeded the query limit"||
		"google.com",NULL,0,NULL,NULL,1,45,NULL,NULL,NULL,"Our systems have detected unusual traffic from your computer network"
		]]>
		</init>
	</table>
</tables>
